[SciPy-user] numpy install errors

Alastair Basden a.g.basden@durham.ac...
Mon Feb 18 09:11:08 CST 2008


Hi,
am trying to (re) install numpy, and keep getting dependency errors:

/usr/bin/gfortran -g -Wall -L/usr/local/Cluster-Apps/blas/gcc/lib64 
build/temp.linux-x86_64-2.5/numpy/linalg/lapack_litemodule.o 
-L/data/hamilton/dph1agb/lib -llapack -lptf77blas -lptcblas -latlas -lg2c 
-o build/lib.linux-x86_64-2.5/numpy/linalg/lapack_lite.so
build/temp.linux-x86_64-2.5/numpy/linalg/lapack_litemodule.o: In function 
`initlapack_lite':
numpy/linalg/lapack_litemodule.c:827: undefined reference to 
`Py_InitModule4_64'build/temp.linux-x86_64-2.5/numpy/linalg/lapack_litemodule.o: 
In function `initlapack_lite':
build/src.linux-x86_64-2.5/numpy/core/__multiarray_api.h:945: undefined 
reference to `PyImport_ImportModule'

etc
etc

Any idea why it is not finding python libraries?

Thanks...


More information about the SciPy-user mailing list